/*
	Preparation Date : 2014-09-24
	Preparation By   : Rahmat
	Description      : Get PR progress data
*/

CREATE PROCEDURE [dbo].[SP_DLV_getPRProgress] 
@SEQ as int,
@PID as VARCHAR(MAX) = NULL
AS
BEGIN

	IF(@PID is NULL)
	BEGIN
		SET @PID = (SELECT TOP 1 PROCESS_ID FROM TB_R_LOG_H WHERE FUNCTION_ID = '31103' ORDER BY PROCESS_ID DESC);
		SELECT @PID as PID, SEQUENCE_NUMBER, MESSAGE FROM TB_R_LOG_D WHERE PROCESS_ID = @PID AND SEQUENCE_NUMBER = @SEQ
	END
	ELSE
	BEGIN
		SELECT @PID as PID, SEQUENCE_NUMBER, MESSAGE FROM TB_R_LOG_D WHERE PROCESS_ID = @PID AND SEQUENCE_NUMBER = @SEQ
	END
END

